Class List Method List File List

# Module: Yast::MailMailServerWizardsInclude

Defined in:
  ../../src/include/mail/mail-server_wizards.rb

## Instance Method Summary (collapse)

- - (Object) initialize_mail_mail_server_wizards(include_target)
- - (Object) MailServerAutoSequence

  Whole configuration of mail-server but without reading and writing.

- - (Object) MailServerSequence

  Whole configuration of mail-server.

- - (Object) MainSequence

  Main workflow of the mail-server configuration.

- - (Object) SetupSequence

  Workflow of the LDAP Server/Client setup.

## Instance Method Details

### - (`Object`) initialize_mail_mail_server_wizards(include_target)

    11
    12
    13
    14
    15
    16
    17
    18
    19
    20
    21
    # File '../../src/include/mail/mail-server_wizards.rb', line 11

    def initialize_mail_mail_server_wizards(include_target)
      Yast.import "UI"

      textdomain "mail"

      Yast.import "Sequencer"
      Yast.import "Wizard"

      Yast.include include_target, "mail/mail-server_complex.rb"
      Yast.include include_target, "mail/mail-server_dialogs.rb"
    end

### - (`Object`) MailServerAutoSequence

Whole configuration of mail-server but without reading and writing. For use with autoinstallation.

Returns:

- sequence result

    98
    99
    100
    101
    102
    103
    104
    105
    106
    107
    108
    109
    110
    111
    112
    113
    114
    115
    116
    117
    118
    # File '../../src/include/mail/mail-server_wizards.rb', line 98

    def MailServerAutoSequence
      # Initialization dialog caption
      caption = _("Mail Server Configuration")
      # Initialization dialog contents
      contents = Label(_("Initializing..."))

      Wizard.CreateDialog
      Wizard.SetDesktopIcon("mail")
      Wizard.SetContentsButtons(
        caption,
        contents,
        "",
        Label.BackButton,
        Label.NextButton
      )

      ret = MainSequence()

      UI.CloseDialog
      deep_copy(ret)
    end

### - (`Object`) MailServerSequence

Whole configuration of mail-server

Returns:

- sequence result

    40
    41
    42
    43
    44
    45
    46
    47
    48
    49
    50
    51
    52
    53
    54
    55
    56
    57
    58
    59
    60
    61
    62
    63
    64
    65
    66
    67
    68
    69
    # File '../../src/include/mail/mail-server_wizards.rb', line 40

    def MailServerSequence
      aliases = {
        "auth"      => [lambda { AuthorizingDialog() }, true],
        "read"      => [lambda { ReadDialog() }, true],
        "main"      => lambda { MainSequence() },
        "ldapsetup" => [lambda { SetupDialog() }, true],
        "write"     => [lambda { WriteDialog() }, true]
      }

      sequence = {
        "ws_start"  => "auth",
        "ldapsetup" => { :abort => :abort, :next => "auth" },
        "auth"      => {
          :ldapsetup => "ldapsetup",
          :abort     => :abort,
          :next      => "read"
        },
        "read"      => { :abort => :abort, :next => "main" },
        "main"      => { :abort => :abort, :next => "write" },
        "write"     => { :abort => :abort, :next => :next }
      }

      Wizard.CreateDialog
      Wizard.SetDesktopTitleAndIcon("mail")

      ret = Sequencer.Run(aliases, sequence)

      UI.CloseDialog
      deep_copy(ret)
    end

### - (`Object`) MainSequence

Main workflow of the mail-server configuration

Returns:

- sequence result

    25
    26
    27
    28
    29
    30
    31
    32
    33
    34
    35
    36
    # File '../../src/include/mail/mail-server_wizards.rb', line 25

    def MainSequence
      # FIXME: adapt to your needs
      aliases = { "complex" => lambda { ComplexDialog() } }

      # FIXME: adapt to your needs
      sequence = {
        "ws_start" => "complex",
        "complex"  => { :abort => :abort, :next => :next }
      }

      Sequencer.Run(aliases, sequence)
    end

### - (`Object`) SetupSequence

Workflow of the LDAP Server/Client setup

Returns:

- sequence result

    73
    74
    75
    76
    77
    78
    79
    80
    81
    82
    83
    84
    85
    86
    87
    88
    89
    90
    91
    92
    93
    # File '../../src/include/mail/mail-server_wizards.rb', line 73

    def SetupSequence
      # FIXME: adapt to your needs
      aliases = { "setup" => [lambda { SetupDialog() }, true], "main" => lambda do
        MailServerSequence()
      end }

      # FIXME: adapt to your needs
      sequence = {
        "ws_start" => "setup",
        "setup"    => { :abort => :abort, :next => "main" },
        "main"     => { :abort => :abort, :next => :next }
      }

      Wizard.CreateDialog
      Wizard.SetDesktopTitleAndIcon("mail")

      ret = Sequencer.Run(aliases, sequence)

      UI.CloseDialog
      deep_copy(ret)
    end